org.apache.sysds.runtime.matrix.operators

## Class AggregateBinaryOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.AggregateBinaryOperator

All Implemented Interfaces:
  Serializable

    public class AggregateBinaryOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

Fields
`AggregateOperator` `aggOp`
`ValueFunction` `binaryFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer)`
`AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer, int numThreads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumThreads()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### binaryFn

    public final ValueFunction binaryFn

#### aggOp

    public final AggregateOperator aggOp

### Constructor Detail

#### AggregateBinaryOperator

    public AggregateBinaryOperator(ValueFunction inner,
                                   AggregateOperator outer)

#### AggregateBinaryOperator

    public AggregateBinaryOperator(ValueFunction inner,
                                   AggregateOperator outer,
                                   int numThreads)

### Method Detail

#### getNumThreads

    public int getNumThreads()